input<-read.table("C:\\Users\\ismalle1\\Documents\\WERK\\Papers\\ms 37 Noise colour and harvesting (Hedwig)\\data\\DataStageCounts.txt",header=T)

attach(input)
names(input)

library(lme4)

model1 <- lmer(log(noeggs)~Harvesting*Noise+(tube|Day))
plot(residuals(model1)); 
qqnorm(residuals(model1))
summary(model1)
Noise2 <- relevel(Noise,ref="C")
model1a <- lmer(log(noeggs)~Harvesting*Noise2+(tube|Day))
summary(model1a)
interaction.plot(Noise,Harvesting,log(noeggs))
 
model2 <- lmer(log(adults)~Harvesting*Noise+(tube|Day))
plot(residuals(model2)); 
qqnorm(residuals(model2))
summary(model2)
interaction.plot(Noise,Harvesting,log(adults))
Noise2 <- relevel(Noise,ref="C")
model2a <- lmer(log(adults)~Harvesting*Noise2+(tube|Day))
summary(model2a)

model3 <- lmer(log(juveniles)~Harvesting*Noise+(tube|Day))
plot(residuals(model3)); 
qqnorm(residuals(model3))
summary(model3)
interaction.plot(Noise,Harvesting,log(juveniles))

model4 <- lmer(log(Total)~Harvesting*Noise+(tube|Day))
plot(residuals(model4)); 
qqnorm(residuals(model4))
summary(model4)
interaction.plot(Noise,Harvesting,log(Total))

detach(input)

input<-read.table("C:\\Users\\ismalle1\\Documents\\WERK\\Papers\\ms 37 Noise colour and harvesting (Hedwig)\\data\\DataStageGrowth.txt",header=T)
attach(input); 
names(input)
model5 <- lmer(Totalr_t~Harvesting*Noise+(tube|Day))
plot(residuals(model5)); 
qqnorm(residuals(model5))
summary(model5)

mean.fun <- function(d, i) { m <- mean(d[i]) }
sd.fun <- function(d, i) { m <- sd(d[i]) }
autocorr.fun <- function(timeseries) {autocorr <- acf(timeseries, type="correlation",plot=F, lag.max=1)}
