function [Bperday, Wperday, Rperday, EnvHarvest] = EnvExp(transient, tlimit, trun)
% function file to load environmental regimes.
% NOTE THAT ONE TIME STEP IN trun EQUALS FOUR DAYS. This is corrected 
% below so that for the IPMs, one time step equals one day
% Calculating the stochastic time series in this way follows the
% experimental set-up. 

%%
% first eight weeks (acclimation) are the same as first eight weeks of experiment!
Blue = [8	2	8	2	8	2	8	2 8	2	8	2	8	2	8	2	8	2	8	2	8	2	8	2	8	2	8	2	8	2	8	2	8	2	8	8	2	8	2	8	8	8	2	8	2]'; 
White = [2	8	8	8	2	2	2	8 2	8	8	8	2	2	2	8	2	8	2	2	8	8	8	8	2	8	8	8	2	2	2	8	8	8	2	8	2	2	2	2	8	2	8	8	8]';
Red = [2	2	2	8	8	8	8	8 2	2	2	8	8	8	8	8	8	8	8	8	8	2	2	2	2	8	2	2	2	2	2	2	2	2	2	8	2	8	8	8	8	8	8	8	8]';

for i=0:trun-1,
    for j=1:4,
        Bperday (i*4+j,1) = Blue(i+1,1);
    end
end

for i=0:trun-1,
    for j=1:4,
        Wperday (i*4+j,1) = White(i+1,1);
    end
end

for i=0:trun-1,
    for j=1:4,
        Rperday (i*4+j,1) = Red(i+1,1);
    end
end

% harvesting regime
EnvHarvest = zeros(1,tlimit);
test=0:8:144; test(1)=1; 
    for i=1:length(test), EnvHarvest(test(i))=1; end
Envharvest2=zeros(1,transient*4);Envharvest3=zeros(1,4);
EnvHarvest=[Envharvest2,EnvHarvest,Envharvest3]; % harvesting moments during trun

% W = W(transient+1:end); B = B(transient+1:end); R = R(transient+1:end);
        
